VERSION 4.00
Begin VB.Form frmBackBmp 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Background Bitmap"
   ClientHeight    =   2985
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   5670
   Height          =   3390
   Icon            =   "backbmp.frx":0000
   Left            =   1080
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2985
   ScaleWidth      =   5670
   ShowInTaskbar   =   0   'False
   Top             =   1170
   Width           =   5790
   Begin VB.OptionButton optNone 
      Caption         =   "None"
      Height          =   255
      Left            =   240
      TabIndex        =   9
      Top             =   870
      Value           =   -1  'True
      Width           =   2415
   End
   Begin VB.CommandButton cmdBrowse 
      Caption         =   "..."
      Enabled         =   0   'False
      Height          =   315
      Left            =   3840
      TabIndex        =   8
      Top             =   2445
      Width           =   345
   End
   Begin VB.OptionButton optFile 
      Caption         =   "Load From DOS File"
      Height          =   255
      Left            =   240
      TabIndex        =   7
      Top             =   555
      Width           =   2415
   End
   Begin VB.OptionButton optBaggage 
      Caption         =   "Load From Baggage"
      Height          =   255
      Left            =   240
      TabIndex        =   6
      Top             =   240
      Width           =   2415
   End
   Begin VB.TextBox txtFile 
      Enabled         =   0   'False
      Height          =   315
      Left            =   240
      TabIndex        =   4
      Top             =   2445
      Width           =   3495
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4320
      TabIndex        =   3
      Top             =   720
      Width           =   1215
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   4320
      TabIndex        =   2
      Top             =   240
      Width           =   1215
   End
   Begin VB.TextBox txtBaggage 
      Enabled         =   0   'False
      Height          =   315
      Left            =   240
      TabIndex        =   1
      Top             =   1725
      Width           =   3495
   End
   Begin MSComDlg.CommonDialog cdBackBmp 
      Left            =   4920
      Top             =   1440
      _Version        =   65536
      _ExtentX        =   847
      _ExtentY        =   847
      _StockProps     =   0
   End
   Begin VB.Label lblFile 
      Caption         =   "DOS Filename:"
      Enabled         =   0   'False
      Height          =   255
      Left            =   240
      TabIndex        =   5
      Top             =   2160
      Width           =   2655
   End
   Begin VB.Label lblBaggage 
      Caption         =   "Baggage Filename:"
      Enabled         =   0   'False
      Height          =   255
      Left            =   240
      TabIndex        =   0
      Top             =   1440
      Width           =   2655
   End
End
Attribute VB_Name = "frmBackBmp"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

Const BACKBMP_NONE = 0
Const BACKBMP_BAGGAGE = 1
Const BACKBMP_FILE = 2


Private Sub cmdBrowse_Click()
    
    ' Set an error trap in case the user clicks the Open dialog's Cancel button
    On Error GoTo SkipBrowse
    
    ' Set the dialog's initial state
    cdBackBmp.DialogTitle = "Load Background Bitmap"
    cdBackBmp.Filter = "Bitmap (*.bmp;*.dib) | *.bmp;*.dib"
    cdBackBmp.DefaultExt = ".bmp"
    cdBackBmp.Filename = ""
    ' Hide the Read Only checkbox
    cdBackBmp.Flags = &H4&
    ' Show the Open dialog box
    cdBackBmp.ShowOpen
    
    ' Set the background bitmap filename in the file text box
    txtFile = cdBackBmp.Filename
    
    Exit Sub

SkipBrowse:
    
    ' If the user didn't click Cancel ...
    If Err.Number <> 32755 Then
        ' Display the real error message
        Call MsgBox("Error " & Err & " occurred." & Chr$(13) & Chr$(10) _
                & Error(Err), vbExclamation, "Error")
    End If

End Sub

Private Sub cmdCancel_Click()

    Unload Me

End Sub

Private Sub cmdOK_Click()

    ' Set an error trap in case we get a bad background bitmap
    On Error GoTo ErrorHandler
    
    ' Assume we don't have a valid background bitmap
    gnBackBmp = BACKBMP_NONE
    
    ' Set the background bitmap for the scrolling region
    If optBaggage Then
        If Not txtBaggage = "" Then
            frmMain.mvMain.BackgroundBitmap = "!" & txtBaggage
            gnBackBmp = BACKBMP_BAGGAGE
        End If
    ElseIf optFile Then
        If Not txtFile = "" Then
            frmMain.mvMain.BackgroundBitmap = txtFile
            gnBackBmp = BACKBMP_FILE
        End If
    Else
        frmMain.mvMain.BackgroundBitmap = ""
    End If
    
    Unload Me
    Exit Sub

ErrorHandler:
    
    ' Display the error message
    Call MsgBox("Error " & Err & " occurred." & Chr$(13) & Chr$(10) _
            & Error(Err), vbExclamation, "Error")

End Sub

Private Sub Form_Load()
    
    ' Set the default text and option button
    If gnBackBmp = BACKBMP_BAGGAGE Then
        txtBaggage = Mid(frmMain.mvMain.BackgroundBitmap, 2)
        optBaggage = True
    ElseIf gnBackBmp = BACKBMP_FILE Then
        txtFile = frmMain.mvMain.BackgroundBitmap
        optFile = True
    End If
    
    ' Center the form on the screen (False to center on app)
    Call CenterForm(Me, False)

End Sub

Private Sub optBaggage_Click()

    On Error GoTo ErrorHandler
    
    Call EnableBaggage(True)
    Call EnableFile(False)
    txtBaggage.SetFocus

ErrorHandler:
    Err = 0

End Sub

Private Sub optFile_Click()

    On Error GoTo ErrorHandler
    
    Call EnableBaggage(False)
    Call EnableFile(True)
    txtFile.SetFocus
    
ErrorHandler:
    Err = 0

End Sub

Private Sub optNone_Click()

    On Error GoTo ErrorHandler
    
    Call EnableBaggage(False)
    Call EnableFile(False)
    cmdOK.SetFocus

ErrorHandler:
    Err = 0

End Sub

Public Sub EnableBaggage(bEnable As Boolean)

    txtBaggage.Enabled = bEnable
    lblBaggage.Enabled = bEnable

End Sub

Public Sub EnableFile(bEnable As Boolean)

    txtFile.Enabled = bEnable
    lblFile.Enabled = bEnable
    cmdBrowse.Enabled = bEnable

End Sub
