VERSION 4.00
Begin VB.Form frmCharStyles 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Character Styles"
   ClientHeight    =   3330
   ClientLeft      =   450
   ClientTop       =   7065
   ClientWidth     =   4830
   Height          =   3735
   Icon            =   "charstyl.frx":0000
   Left            =   390
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3330
   ScaleWidth      =   4830
   ShowInTaskbar   =   0   'False
   Top             =   6720
   Width           =   4950
   Begin VB.ListBox lbCharStyles 
      Height          =   2790
      Left            =   120
      TabIndex        =   2
      Top             =   375
      Width           =   3135
   End
   Begin VB.CommandButton cmdEdit 
      Caption         =   "Edit"
      Default         =   -1  'True
      Enabled         =   0   'False
      Height          =   375
      Left            =   3480
      TabIndex        =   1
      Top             =   375
      Width           =   1215
   End
   Begin VB.CommandButton cmdClose 
      Cancel          =   -1  'True
      Caption         =   "Close"
      Height          =   375
      Left            =   3480
      TabIndex        =   0
      Top             =   855
      Width           =   1215
   End
   Begin MSComDlg.CommonDialog cdCharStyles 
      Left            =   3480
      Top             =   1440
      _Version        =   65536
      _ExtentX        =   847
      _ExtentY        =   847
      _StockProps     =   0
      CancelError     =   -1  'True
   End
   Begin VB.Label lblCharStyles 
      Caption         =   "Select a character style from the &list:"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   120
      Width           =   3135
   End
End
Attribute VB_Name = "frmCharStyles"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit


Private Sub cmdClose_Click()

    Unload Me

End Sub

Private Sub cmdEdit_Click()

    ' Set the character style to be modified
    frmMain.mvMain.StyleName = frmMain.mvMain.StyleNameList(lbCharStyles.ListIndex)
    
    ' Set an error trap in case the user clicks the Open dialog's Cancel button
    On Error GoTo SkipCharStyle
    
    ' Initialize the Font dialog with the attributes of the current character style
    cdCharStyles.FontName = frmMain.mvMain.StyleFontName
    cdCharStyles.FontSize = frmMain.mvMain.StyleFontSize
    cdCharStyles.FontBold = frmMain.mvMain.StyleFontBold
    cdCharStyles.FontItalic = frmMain.mvMain.StyleFontItalic
    cdCharStyles.FontUnderline = frmMain.mvMain.StyleFontUnderline
    cdCharStyles.Color = frmMain.mvMain.StyleForeColor
    
    ' List both screen and printer fonts, and allow effects
    cdCharStyles.Flags = &H3& Or &H100&
    ' Show the Font dialog box
    cdCharStyles.ShowFont
    
    ' Reset to no error trapping so we can get errors from this point on
    On Error GoTo 0
    
    ' Revise all the font info for the current character style
    frmMain.mvMain.StyleFontName = cdCharStyles.FontName
    frmMain.mvMain.StyleFontSize = cdCharStyles.FontSize
    frmMain.mvMain.StyleFontBold = cdCharStyles.FontBold
    frmMain.mvMain.StyleFontItalic = cdCharStyles.FontItalic
    frmMain.mvMain.StyleFontUnderline = cdCharStyles.FontUnderline
    frmMain.mvMain.StyleForeColor = cdCharStyles.Color
    
    Exit Sub

SkipCharStyle:
    
    ' If the user didn't click Cancel ...
    If Err.Number <> 32755 Then
        ' Display the real error message
        Call MsgBox("Error " & Err & " occurred." & Chr$(13) & Chr$(10) _
                & Error(Err), vbExclamation, "Error")
    End If

End Sub


Private Sub Form_Load()
    
    Dim i As Integer
    
    ' Fill the list with character styles in the title
    For i = 0 To frmMain.mvMain.StyleNameCount - 1
        lbCharStyles.AddItem frmMain.mvMain.StyleNameList(i)
    Next i
    
    ' Center the form on the screen (False to center on app)
    Call CenterForm(Me, False)

End Sub


Private Sub lbCharStyles_Click()

    ' Enable the Goto button
    cmdEdit.Enabled = True

End Sub


Private Sub lbCharStyles_DblClick()

    ' Edit the character style double-clicked
    cmdEdit_Click

End Sub


