VERSION 4.00
Begin VB.Form frmSecondary 
   ClientHeight    =   4755
   ClientLeft      =   675
   ClientTop       =   5745
   ClientWidth     =   9480
   Height          =   5160
   Icon            =   "second.frx":0000
   Left            =   615
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   317
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   632
   ShowInTaskbar   =   0   'False
   Top             =   5400
   Width           =   9600
   Begin MedviewOCX141Lib.Medview mvSecondary 
      Height          =   3735
      Left            =   720
      TabIndex        =   0
      Top             =   480
      Width           =   4455
      _Version        =   65537
      _ExtentX        =   7858
      _ExtentY        =   6588
      _StockProps     =   32
      Connection      =   "MedView"
      LeftMargin      =   1
      TopMargin       =   1
      RightMargin     =   1
      BottomMargin    =   1
      BackColorNSR    =   16777215
      BackColorSR     =   16777215
      BackColorPopup  =   16777215
      NSRTextForeColor=   0
      SRTextForeColor =   0
      PopupTextColor  =   0
      SearchMode      =   2
      SearchHitLook   =   8421504
      HiliteSearchHits=   -1  'True
      NSRHeight       =   0
      Kerning         =   0   'False
      TopicIndex      =   0
      PopupLeft       =   0
      PopupTop        =   0
      StyleIndex      =   -1
      BackgroundBitmap=   ""
      DoesOLEDragDrop =   -1  'True
      StyleArray      =   "second.frx":0442
   End
End
Attribute VB_Name = "frmSecondary"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit



Private Sub Form_Load()
    
    ' Set this MV control's title to the same one as in the main window
    mvSecondary.MediaViewTitle = frmMain.mvMain.MediaViewTitle
    
    If gRectSec.Width = 0 Then
        ' Center the form on the screen (False to center on app)
        Call CenterForm(Me, False)
    Else
        ' Position the secondary window in the same place as last time
        Me.Top = gRectSec.Top
        Me.Left = gRectSec.Left
        Me.Width = gRectSec.Width
        Me.Height = gRectSec.Height
    End If

End Sub


Private Sub Form_Paint()

    ' These paint a 3D looking sunken border around the MV control
    
    ' Start in the lower left corner
    Me.CurrentX = mvSecondary.Left - 2
    Me.CurrentY = mvSecondary.Top + mvSecondary.Height + 1
    ' In dark grey, draw the left and top lines 2 pixels away from control
    Line -Step(0, -(mvSecondary.Height + 3)), RGB(92, 92, 92)
    Line -Step(mvSecondary.Width + 3, 0), RGB(92, 92, 92)
    ' In white, draw the right and bottom lines 2 pixels away from control
    Line -Step(0, mvSecondary.Height + 3), RGB(255, 255, 255)
    Line -Step(-(mvSecondary.Width + 3), 0), RGB(255, 255, 255)
    
    ' Start in the lower left corner
    Me.CurrentX = mvSecondary.Left - 1
    Me.CurrentY = mvSecondary.Top + mvSecondary.Height
    ' Draw black lines (to the left and top) 1 pixel away from control
    Line -Step(0, -(mvSecondary.Height + 1)), RGB(0, 0, 0)
    Line -Step(mvSecondary.Width + 1, 0), RGB(0, 0, 0)

End Sub


Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    
    ' Save the size and position of this window for next time
    gRectSec.Top = Me.Top
    gRectSec.Left = Me.Left
    gRectSec.Width = Me.Width
    gRectSec.Height = Me.Height

End Sub

Private Sub Form_Resize()
    
    Dim rect As cRect
    Dim lTemp As Long
    
    ' The following ajusts the MediaView control to fit the secondary
    ' window and limits the secondary window to a minimum height.
    
    lTemp = GetClientRect(Me.hWnd, rect)
    
    If Me.Height >= 2500 Then
        ' Resize the MediaView control to fit the new window
        mvSecondary.Move 3, 5, rect.Right - 6, rect.Bottom - 8
    Else
        ' Force the form's height back to a minimum size
        Me.Height = 2500
    End If

End Sub


Private Sub mvSecondary_HotspotClicked(ByVal HotspotType As Long, ByVal HotspotData As Long, Cancel As Boolean)

    Dim lTemp As Long
    Dim szData As String
    Dim nPos As Integer

    Select Case HotspotType
        Case HOTSPOT_STRING
            ' User clicked a hotspot with a macro string in it, so get the string
            
            ' Initialize the string
            szData = String(512, 0)
            ' Copy the String
            lTemp = lstrcpy(szData, HotspotData)
            ' Check the string for "CopySelection"
            nPos = InStr(szData, "CopySelection")
            ' If "CopySelection" was found And there is a selection...
            If nPos <> 0 And mvSecondary.HasSelection Then
                ' Copy the selection
                frmSecondary.mvSecondary.Copy 2
            End If
        
        Case HOTSPOT_HASH
            ' User clicked a regular hash hotspot
            
            ' Don't jump in this mv.  Perform the jump in the main window's mv.
            Cancel = True
    
            ' Store the current Topic Title, Index, VA and Scroll position
            ' (for the main window's mv control)
            StoreTopicInfo
            
            ' Use HotspotData to jump in the main window's mv
            frmMain.mvMain.JumpToContextHash HotspotData
            
    End Select

End Sub


